{
  inputs = {
    nixpkgs.url = "flake:nixpkgs/nixos-21.05";
    nixpkgs-unstable.url = "flake:nixpkgs/nixos-unstable";
    simple-nixos-mailserver = {
      url = "gitlab:simple-nixos-mailserver/nixos-mailserver/nixos-21.05";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    dogetipbot-telegram = {
      url = "gitlab:nyanloutre/dogetipbot-telegram/master";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    ipmihddtemp = {
      url = "gitlab:nyanloutre/ipmihddtemp/master";
      inputs.nixpkgs.follows = "nixpkgs-unstable";
    };
  };

  outputs = { self, nixpkgs, nixpkgs-unstable, simple-nixos-mailserver, dogetipbot-telegram, ipmihddtemp }: {
    nixosConfigurations.loutreos = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [
        ({ pkgs, ... }: {
          nix.nixPath = [
            "nixpkgs=${nixpkgs}"
          ];
        })
        nixpkgs.nixosModules.notDetected
        "${nixpkgs-unstable}/nixos/modules/services/audio/navidrome.nix"
        simple-nixos-mailserver.nixosModule
        dogetipbot-telegram.nixosModule
        ipmihddtemp.nixosModule
        ./systems/LoutreOS/configuration.nix
      ];
    };

    nixosConfigurations.paul-fixe = nixpkgs-unstable.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [
        ({ pkgs, ... }: {
          nix.nixPath = [
            "nixpkgs=${nixpkgs-unstable}"
          ];
        })
        nixpkgs-unstable.nixosModules.notDetected
        ./systems/PC-Fixe/configuration.nix
      ];
    };
  };
}

